<?php
//Chech whether we are indeed included by Piwigo.
if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');

//Load translation files
load_language('plugin.lang', MEDIA_ICON_PATH);

//Check access and exit when user status is not ok
check_status(ACCESS_ADMINISTRATOR);

$conf_media_icon = $conf['media_icon'];
$conf_media_icon_unserialize = unserialize($conf['media_icon']);

//Save config
if (isset($_POST['submit'])) { 
	//New parameters
	$conf_media_icon_unserialize['style'] = $_POST['style'];
	
	//Save
	conf_update_param('media_icon', serialize($conf_media_icon_unserialize));
	array_push($page['infos'], l10n('Information data registered in database'));
}

//Parameters of the template
	$template->assign('MEDIA_ICON_STYLE_LOGO_SELECTED', ($conf_media_icon_unserialize['style'] == 'logo') ? 'selected="selected"' : null);
	$template->assign('MEDIA_ICON_STYLE_PHOTO_SELECTED', ($conf_media_icon_unserialize['style'] == 'photo') ? 'selected="selected"' : null);
	$template->assign('MEDIA_ICON_STYLE_FOLDER_SELECTED', ($conf_media_icon_unserialize['style'] == 'folder') ? 'selected="selected"' : null);
	$template->assign('MEDIA_ICON_STYLE_FOLDERCOLOR_SELECTED', ($conf_media_icon_unserialize['style'] == 'foldercolor') ? 'selected="selected"' : null);
	
//Fetch the template.
global $template;

//add a stylesheet
$template->append('head_elements', '<link rel="stylesheet" type="text/css" href="'.MEDIA_ICON_PATH.'template/'.$conf_media_icon_unserialize['style'].'_media_icon.css">');
	
//Add our template to the global template
$template->set_filenames(
	array(
		'plugin_admin_content' => dirname(__FILE__).'/admin.tpl'
	)    
);
 
//Assign the template contents to ADMIN_CONTENT
$template->assign_var_from_handle('ADMIN_CONTENT', 'plugin_admin_content');
?>